import request from '/@/utils/request';

export function equipmentApi() {
	return {
		getEquipmentByList: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/getDevicePage',
				method: 'post',
				data: params
			});
		},

		// addEquipment: (params: object) => {
		// 	return request({
		// 		url: import.meta.env.VITE_API_URL + '/basic/insert/insertDevice',
		// 		method: 'post',
		// 		data: params
		// 	});
		// },

		addEquipment: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/insert/insertDevice',
				method: 'post',
				data: params
			});
		},

		modEquipment: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/update/updateDevice',
				method: 'post',
				data: params
			});
		},

		deleteEquipmentById: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/delete/deleteDevice',
				method: 'post',
				data: params
			});
		},

		getAllEquipment: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listDevice',
				method: 'get',
			});
		},

		getAllType: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listDeviceType',
				method: 'get',
			});
		},
	};
}
